GET
/v1/responses/{response_id}

Path Parameters

response_id*string
Formatuuid

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/responses/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "id": "string",
  "object": "response",
  "created_at": 0,
  "model": "string",
  "status": "in_progress",
  "incomplete_details": {
    "reason": "max_output_tokens"
  },
  "output": [
    {
      "type": "message",
      "id": "string",
      "role": "assistant",
      "status": "completed",
      "content": [
        {
          "type": "output_text",
          "text": "string",
          "annotations": [
            null
          ]
        }
      ]
    }
  ],
  "error": {
    "code": "string",
    "message": "string"
  },
  "usage": {
    "input_tokens": 0,
    "output_tokens": 0,
    "total_tokens": 0,
    "input_tokens_details": {
      "cached_tokens": 0
    },
    "output_tokens_details": {
      "reasoning_tokens": 0
    }
  },
  "service_tier": "default"
}
{
  "status_code": 400,
  "detail": "Bad Request",
  "extra": {}
}